Archives de catégorie Génération CONNECT Edition

Comment créer une bibliothèque de cellules paramétriques 3D ?

Ou comment créer un catalogue en 3D de poutrelles métalliques normalisé en moins de 5 minutes !

Les fonctionnalités avancées de modélisation 3D paramétrique de MicroStation permettent aux professionnels de rapidement réaliser des modèles de conception.

Apprenez par cette vidéo à créer une cellule 3D paramétrique. Déclinez-la ensuite en dizaines de variations. Finalement vous obtenez un catalogue de profilés métalliques parfaitement normalisé !

Vous pouvez ainsi créer des modèles de conception et d’autres livrables complets.

Votre équipe projet travaillera avec une application de modélisation universelle. Par conséquent elle pourra communiquer aisément et partager des livrables avec des tiers.

Créer une grille cotée sur un maillage phototexturé

Créer une grille de points sur un maillage phototexturé issu de ContextCapture

Nous analyserons ici les étapes à suivre pour créer une grille de points sur un maillage phototexturé. Ce dernier est issu d’une modélisation photogrammétrique réalisée à l’aide de ContextCapture.

Comment faire ?

La première étape consistera à créer un contour qui nous servira de délimitation. Nous allons ensuite mesurer la longueur et la largeur de ce contour suivant l’orientation générale du maillage phototexturé.

Nous placerons ensuite une cellule assez simple (une petit croix). Veillez à ce que cette cellule soit placée à une altitude aisément identifiable : 700m dans mon exemple. Utiliser pour cela la commande de spécification du Z actif : AZ=700, ainsi le verrou d’accrochage au plan SCA.

Nous utiliserons ensuite l’outil de copie en tableau et nous spécifierons l’inclinaison générale de notre grille, le nombre de colonnes et de rangées, l’espacement entre les colonnes et les rangées. Nous obtiendrons une grille rectangulaire. En comparaison avec le contour défini précédemment, des points sont à l’intérieur, d’autre à l’extérieur.

Nous allons maintenant utiliser la fonction de clôture afin de retirer les points se trouvant hors du contour et qui ne nous intéressent pas et supprimons l’élément ayant servi de contour.

Sélectionnons maintenant l’ensemble des points. A l’aide de l’outil “Drape éléments” du groupe d’outils “Reality Modeling” déplaçons les éléments verticalement jusqu’au contact avec le maillage phototexturé.

Il ne nous reste plus qu’à écrire une toute petite macro pour générer les textes représentant l’altitude de chacun de points. Attention que dans cette macro les textes sont créés avec les paramètres actifs (taille, police,…)

Code de la macro

Sub Altitudes()
   Dim ee As ElementEnumerator
   Dim sc As New ElementScanCriteria

   sc.ExcludeAllTypes
   sc.IncludeType msdElementTypeCellHeader  (1)

   Set ee = Application.ActiveModelReference.Scan(sc)   (2)

   Do While ee.MoveNext
      Dim elTxt As TextElement

      If ee.Current.AsCellElement.Origin.Z <> 700 Then  (3)
         Set elTxt = CreateTextElement1(Nothing, _
                                        Str(Format(ee.Current.AsCellElement.Origin.Z, ".00")), _
                                        ee.Current.AsCellElement.Origin, _
                                        Matrix3dIdentity)  (4)
         Application.ActiveModelReference.AddElement elTxt
      End If
   Loop

End Sub
Explication du code

La ligne de code notée (1) permet de n’analyser que les éléments de type cellule. Ceci permet de ne pas devoir réaliser un filtrage ultérieur.

La ligne notée (2) exécute le scan, l’analyse des éléments du fichier en respectant les critères énoncés en (1).

Entre le “Do” et le “Loop“, l’ensemble des instructions est exécuté pour chacun des éléments satisfaisant aux critères.

La ligne notée (3) vérifie qu’il ne s’agit pas des points initiaux. Dans mon exemple je les ai conservé, ce n’est pas obligatoire.

La ligne notée (4) et la suivante crée un élément de type “texte” et l’ajoute aux éléments du modèle actif du fichier de dessin.

Présentation en vidéo

Pour faciliter la compréhension de la technique, vous pouvez visionner la vidéo suivante :

 

Microstation (toutes versions) : Comment naviguer et trouver une commande ?

Microstation, ainsi que les produits en dérivants, structurent les diverses commandes qu’ils proposent de manière arborescente.

Si on prend l’exemple simple du placement d’une ligne, la commande qui est derrière cette fonction est de la catégorie « placement » (PLACE) et l’objet que l’on désire placer est une ligne (LINE) : la commande est PLACE LINE et celle-ci peut-être exécutée directement via la zone de « Key-In » par exemple.

Comme vous le savez, Microstation permet de placer d’autres objets qu’une simple ligne mais permet d’exécuter de nombreuses autres fonctions.

Les commandes peuvent être structurées sur jusque 4 niveaux. Ainsi, nous verrons que le fonctionnement de la commande PLACE LINE peut-être précisé à l’aide des mot-clés ANGLE et CONSTRAINED. Si rien n’est précisé, le mode de fonctionnement n’est pas altéré.

Entrées clavier rapides à deux lettres

Bien qu’une interface graphique soit idéale pour de nombreuses choses, il est parfois plus rapide d’utiliser les touches Microstation à deux lettres pour régler les paramètres. Par exemple, pour définir l’échelle active sur 2.0, vous pouvez simplement taper “as = 2” dans le navigateur d’entrée au clavier. Microstation dispose d’une liste assez complète de ces raccourcis à deux lettres pour définir toutes sortes de choses à partir du niveau et de la couleur actifs, ce qui est familier à tout le monde, à la sauvegarde ou à l’activation des vues. Voici une liste d’entrées au clavier à deux lettres séparées par des catégories (n’utilisez pas d’espace avant le signe égal pour ces entrées au clavier) :

Manipulation de vue
OF = Désactiver les niveaux par le numéro
ON = Activer les niveaux par le numéro
RV = Faire pivoter la vue sur le centre
WO = Définir l’origine de la vue
SV = Enregistrer une vue
VI = Attacher une vue enregistrée
DV = Supprimer une vue enregistrée

Texte et cotation
FT = Police active
DF = Ouvre la boîte de dialogue de choix de police
TH = Hauteur active
TW = Largeur active
TX = Hauteur et largeur actives
LL = Longueur de ligne active
LS = Intervalle de ligne actif
TB = Espacement des tabulations pour l’importation de texte
TI = Variable Incrément
LD = Niveau de dimension
TV = Limites de tolérance de dimension supérieure et inférieure

Réglages
AA = Angle actif
AS = Echelle active
XS = Echelle x active
YS = Echelle y active
ZS = Echelle z active
GU = Maître / Grille
GR = Grille de référence
KY = (Snap) Diviseur
UR = (Unit Lock) Distance

Définir les attributs d’élément et de motif
AP = cellule de motif active
LV = niveau actif
CO = couleur active
PA = angle de motif actif
LC = style de ligne actif
PD = espacement de motif actif
WT = poids de trait actif
PS = échelle de motif active

Entrée de précision
XY = <x, y, z> à partir de l’origine le long des axes du fichier de dessin
DI = <distance, direction> à partir des dernières données ou point de tentative par rapport aux axes de vue
DL = <Dx, Dy, Dz> coordonnées de conception
DX = <Dx, Dy, Dz> à partir des dernières données ou des coordonnées du point de vue provisoire
AX = Distance de l’origine du système de coordonnées auxiliaires (ACS)
AD = Distance des dernières données ou point de tentative dans les coordonnées ACS

Cellules
AC = Définir la cellule active et sélectionnez placer l’outil cellule active avec relatif
AR = Définir la cellule active et sélectionnez placer l’outil cellule active avec relatif sur
CM = Placer l’outil matrice active
PT = Point actif
LT = Terminateur actif TS = Echelle Terminator
CR = Modifier les informations sur les cellules
CD = Supprimer la cellule de la bibliothèque de cellules
CC = Créer une cellule

Modélisation 3D
DP = Régler la profondeur d’affichage à partir de 0,0 de vue de l’ axe z
DD = Distance pour déplacer la profondeur d’affichage à partir des valeurs de courant
AZ = Régler la profondeur active à partir de 0,0 de l’ axe z de la vue
DZ = Distance de déplacement profondeur active à partir de la valeur actuelle (relative)
SX = Enregistrer ACS
RX = Attacher ACS
PX = Supprimer ACS

Gestion des fichiers
RD = fichier design Open
XD = Open fichier de conception avec la configuration de vue de la conception actif
RC = Attacher la bibliothèque de cellules
RF = Attacher un fichier de référence
DR = Affiche le contenu d’un fichier texte
CT = Attacher la table des couleurs
AM = Attacher et activer le menu
AT = Activer tutoriel

Base de données
AE = Définir l’entité active
DA = Type d’attribut affichable
DB = Fichier de contrôle joint
DS = Spécifier le filtre de clôture
FI = Définir la ligne de base de données comme entité active
RA = Définir les critères de sélection de l’attribut
RS = Nom de la table de report

Autre
EL = Créer un fichier de liste d’éléments
FF = Copier le contenu de la clôture dans le nouveau fichier de dessin
GO = Origine globale
SF = Déplacer le contenu de la clôture vers le nouveau fichier de dessin

MicroStation – Changer le sens d’une ligne

Problème

Une ligne est représentée par un style utilisateur et celui-ci n’est pas symétrique par rapport à l’axe de la ligne. Il est donc nécessaire de modifier le sens de progression de la ligne, d’en changer sa direction, afin que le tracé du style utilisateur se fasse de l’autre côté de l’axe.

Change Direction

Solution

Une commande, qui je l’avoue, est un peu cachée dans les menus de MicroStation permet de réaliser cette inversion. Il s’agit de la commande « CHANGE DIRECTION ».

La petite vidéo ci-dessous montre comment utiliser cette commande et ensuite comment l’associer à la touche de fonction CTRL+F2 pour un accès plus aisé.

Retrouver les « tâches » dans Microstation CONNECT Edition

Certain(e)s d’entre vous sont troublé(e)s par la nouvelle interface de MicroStation CONNECT Edition !
Qu’à cela ne tienne, il est toujours possible de forcer MicroStation CONNECT Edition à présenter les outils sous forme de tâches comme cela existait dans la génération V8i du produit.
Les étapes à réaliser pour faire réapparaître les tâches :
  • Allez dans l’onglet Fichier, ensuite : Spécifications -> Configuration -> Variables de configuration
  • Cliquez sur le bouton [Nouveau…]
  • Entrez dans le champ « Variable » : MS_TASKNAVIGATION_CONFIGURATION
  • Entrez dans le champ « Nouvelle valeur » : 1
  • cliquez sur le bouton [OK]

Nouvelle variable de configuration

  • Fermez ensuite MicroStation CONNECT Edition et redémarrez-le.
  • Allez à nouveau dans l’onglet  Fichier, ensuite : Spécifications -> Utilisateur -> Choix
  • Dans la liste des catégories, sélectionnez Navigation dans les tâches
  • Sélectionnez l’option Boîte de dialogue dans la liste Présentation

Choix

  • Cliquez ensuite sur le bouton [OK] : Les tâches sont maintenant visible sur le côté gauche de l’écran

Les tâches dans MicroStation CONNECT Edition